/**
 * Redistribution and use of this software and associated documentation
 * ("Software"), with or without modification, are permitted provided
 * that the following conditions are met:
 *
 * 1. Redistributions of source code must retain copyright
 *    statements and notices.  Redistributions must also contain a
 *    copy of this document.
 *
 * 2. Redistributions in binary form must reproduce the
 *    above copyright notice, this list of conditions and the
 *    following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 *
 * 3. The name "Exolab" must not be used to endorse or promote
 *    products derived from this Software without prior written
 *    permission of Exoffice Technologies.  For written permission,
 *    please contact info@exolab.org.
 *
 * 4. Products derived from this Software may not be called "Exolab"
 *    nor may "Exolab" appear in their names without prior written
 *    permission of Exoffice Technologies. Exolab is a registered
 *    trademark of Exoffice Technologies.
 *
 * 5. Due credit should be given to the Exolab Project
 *    (http://www.exolab.org/).
 *
 * THIS SOFTWARE IS PROVIDED BY EXOFFICE TECHNOLOGIES AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 * EXOFFICE TECHNOLOGIES OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * Copyright 1999 (C) Exoffice Technologies Inc. All Rights Reserved.
 *
 * $Id: PseudoSecurityService.java,v 1.2 2002/02/25 20:30:55 dblevins Exp $
 */
package org.openejb.ri.sp;

import java.security.Principal;
import org.openejb.spi.SecurityService;
import org.openejb.util.FastThreadLocal;

public class PseudoSecurityService implements SecurityService {
    
    private FastThreadLocal threadStorage = new FastThreadLocal( );
    
    public void init(java.util.Properties props ) {
        props = props;
    }
    
    public Object getSecurityIdentity(){
        return threadStorage.get();
    }
    public void setSecurityIdentity(Object securityIdentity){
        threadStorage.set(securityIdentity);
    }
    
    public boolean isCallerAuthorized(Object securityIdentity,String [] roleNames){
        // use this principal to validate against roles
        return true;
    }
    
    public Object translateTo(Object securityIdentity, Class type){
        if(type == java.security.Principal.class){
            return new java.security.Principal(){
                public String getName(){return "TestRole";}
            };
        }else if(type == javax.security.auth.Subject.class){
            return new javax.security.auth.Subject();   
        }else{
            return null;
        }
    }
}